ComponentSelector (Gradle API 5.6.1)
Date: 2019-09-03

Package org.gradle.api.artifacts.component

## Interface ComponentSelector

- All Known Subinterfaces:
    `LibraryComponentSelector`, `ModuleComponentSelector`, `ProjectComponentSelector`

      public interface ComponentSelector

  Represents some opaque criteria used to select a component instance during dependency resolution. Various sub-interfaces expose specific details about the criteria.
  Since:
    1.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AttributeContainer` | `getAttributes()` | The attributes of the module to select the component from.
    `String` | `getDisplayName()` | Returns a human-consumable display name for this selector.
    `List<Capability>` | `getRequestedCapabilities()` | The requested capabilities.
    `boolean` | `matchesStrictly​(ComponentIdentifier identifier)` | Checks if selector matches component identifier.

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns a human-consumable display name for this selector.
      Returns:
        Display name
      Since:
        1.10

    - #### matchesStrictly

          boolean matchesStrictly​(ComponentIdentifier identifier)

      Checks if selector matches component identifier.
      Parameters:
        `identifier` - Component identifier
      Returns:
        if this selector matches exactly the given component identifier.
      Since:
        1.10

    - #### getAttributes

          @Incubating
          AttributeContainer getAttributes()

      The attributes of the module to select the component from. The attributes only include selector specific attributes. This means it typically doesn't include any consumer specific attribute.
      Returns:
        the attributes
      Since:
        4.9

    - #### getRequestedCapabilities

          @Incubating
          List<Capability> getRequestedCapabilities()

      The requested capabilities.
      Returns:
        the requested capabilities. If returning an empty list, the implicit capability will be used.
      Since:
        5.3